# 配置导入工具

此工具可以导入配置表为 ini 文件

## 配置表格式

配置表采用 *.csv 格式，前三行都是表头

### 字段标识符

此字段列的标识符
尽可能使用 ASCII 字符组成，但不可包含空白含义的字符（如空格符，换行符，制表符等）

### 字段注释

此字段的注释

### 字段说明

由多个部分组成

* 数据类型说明

	格式为 ```:数据类型```

	如 :int 则为整数类型，所有类型详见下表

	| 标识 | 说明 |
	|---|---|
	| int | 整数类型 |
	| float | 浮点类型 |
	| string | 字符串类型 |
	| text | 文本类型，和字符串类型的不同在于，它是会自动处理成本地化表项的 |
	| enum | 枚举类型，具体的枚举规则要看补充说明 |
	| id | 数据主键类型 |
	| id_name | 数据主键引用名类型，能够在引用时解析为 id |

	如果最后追加 ```[]``` 则可以形成列表类型

* 数据类型补充说明

	格式为 ```:数据类型,补充说明```

	某些数据类型支持进一步的补充说明，详见下表

	| 补充说明 | 适用的数据类型 | 说明 |
	|---|---|---|
	| auto | enum | 自动枚举项，会将配置数据中所有此列出现过的值都归并为枚举值 |

* 引用说明

	格式为 ```@表名```

	表示这个字段是引用某个表中的主键，可以用 ```:id_name``` 配置的引用名

* 默认值说明

	格式为 ```=默认值```

	说明这个配置列的默认值，配置了默认值的表项，在没有配置该值的条目中，就会被忽略
